layers(6).
width(0,8).
in_layer(0,n1).
in_layer(0,n2).
in_layer(0,n3).
in_layer(0,n4).
in_layer(0,n5).
in_layer(0,n6).
in_layer(0,n7).
in_layer(0,n8).
width(1,8).
in_layer(1,n9).
in_layer(1,n10).
in_layer(1,n11).
in_layer(1,n12).
in_layer(1,n13).
in_layer(1,n14).
in_layer(1,n15).
in_layer(1,n16).
width(2,8).
in_layer(2,n17).
in_layer(2,n18).
in_layer(2,n19).
in_layer(2,n20).
in_layer(2,n21).
in_layer(2,n22).
in_layer(2,n23).
in_layer(2,n24).
width(3,8).
in_layer(3,n25).
in_layer(3,n26).
in_layer(3,n27).
in_layer(3,n28).
in_layer(3,n29).
in_layer(3,n30).
in_layer(3,n31).
in_layer(3,n32).
width(4,8).
in_layer(4,n33).
in_layer(4,n34).
in_layer(4,n35).
in_layer(4,n36).
in_layer(4,n37).
in_layer(4,n38).
in_layer(4,n39).
in_layer(4,n40).
width(5,8).
in_layer(5,n41).
in_layer(5,n42).
in_layer(5,n43).
in_layer(5,n44).
in_layer(5,n45).
in_layer(5,n46).
in_layer(5,n47).
in_layer(5,n48).
edge(n16,n20).
edge(n38,n46).
edge(n1,n10).
edge(n32,n34).
edge(n30,n37).
edge(n4,n16).
edge(n5,n16).
edge(n23,n28).
edge(n6,n13).
edge(n17,n31).
edge(n25,n33).
edge(n11,n23).
edge(n33,n48).
edge(n37,n42).
edge(n9,n17).
edge(n31,n39).
edge(n20,n29).
edge(n22,n31).
edge(n20,n26).
edge(n17,n29).
edge(n36,n48).
edge(n35,n43).
edge(n34,n42).
edge(n13,n19).
edge(n6,n16).
edge(n8,n9).
edge(n37,n43).
edge(n23,n25).
edge(n18,n30).
edge(n12,n18).
edge(n15,n17).
edge(n31,n33).
edge(n19,n25).
edge(n3,n14).
edge(n12,n19).
edge(n37,n45).
edge(n16,n24).
edge(n1,n12).
edge(n5,n13).
edge(n12,n24).
edge(n1,n13).
edge(n21,n29).
edge(n23,n30).
edge(n28,n33).
edge(n3,n11).
edge(n16,n18).
edge(n21,n28).
edge(n9,n21).
edge(n5,n12).
edge(n15,n22).
edge(n14,n24).
edge(n34,n47).
edge(n3,n9).
edge(n28,n40).
edge(n10,n17).
edge(n6,n10).
edge(n4,n13).
edge(n35,n42).
edge(n7,n9).
edge(n11,n18).
edge(n40,n47).
edge(n29,n36).
edge(n29,n33).
edge(n6,n12).
